Subject: IETF rules and procedures - conditions to attribute credit

From: "Evain, Jean-Pierre" <[email-masked]>
Date: Fri, 9 Dec 2011 17:40:30 +0100

Hello there,

I went to read the IETF rules and procedures at

http://www.ietf.org/about/process-docs.html#RFC4181

I couldn't find any particular rule for mentioning credits (or not). I guess this might have had a relation to some rights related issues?

Can anyone help here e.g. a pointer to a document? Or this is just best practices between contributors of good will?

Many thanks in advance for any advice/guidance/hint.

Best regards,

Jean-Pierre

EVAIN Jean-Pierre
EBU - Technology and Development
L'Ancienne Route 17A
CH-1218 Grand Saconnex (GE)
Tel: +41 22 717 27 34
Fax: +41 22 747 47 34
[email-masked]

---

From: Jorge Contreras <[email-masked]>
Date: Mon, 12 Dec 2011 10:20:20 -0600

You should refer to the Legal Provisions Relating to IETF Documents found
here:

http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf

In particular, Sec. 3 relates to use of text from IETF documents and
crediting, though other sections may also be relevant to what you are doing.

Jorge

On Fri, Dec 9, 2011 at 10:40 AM, Evain, Jean-Pierre <[email-masked]> wrote:

> I couldn’t find any particular rule for mentioning credits (or not). I
> guess this might have had a relation to some rights related issues?
>
> Can anyone help here e.g. a pointer to a document? Or this is just best
> practices between contributors of good will?
>
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf
>
>

---

From: "Worley, Dale R (Dale)" <[email-masked]>
Date: Mon, 12 Dec 2011 12:23:11 -0500

> From: Evain, Jean-Pierre [[email-masked]]
> 

There are many meanings of "credit".  In regard to the matter of
giving credit in Internet-Drafts to the originators of the ideas or
writers of the text, it appears to me that the customs are the same as
for academic papers:  The authors of all ideas and text must be
exclicitly acknowledged.

Dale

---

From: "Evain, Jean-Pierre" <[email-masked]>
Date: Mon, 12 Dec 2011 17:28:04 +0100

Thanks Jorge.

Best regards,

Jean-Pierre

From: Jorge Contreras [mailto:[email-masked]]
Sent: lundi, 12. décembre 2011 17:20
To: Evain, Jean-Pierre
Cc: [email-masked]; Tullemans, Bram
Subject: Re: IETF rules and procedures - conditions to attribute credit

You should refer to the Legal Provisions Relating to IETF Documents found here:

In particular, Sec. 3 relates to use of text from IETF documents and crediting, though other sections may also be relevant to what you are doing.

Jorge
On Fri, Dec 9, 2011 at 10:40 AM, Evain, Jean-Pierre <[email-masked]<mailto:[email-masked]>> wrote:
Hello there,

Best regards,

Jean-Pierre

EVAIN Jean-Pierre
EBU - Technology and Development
L'Ancienne Route 17A
CH-1218 Grand Saconnex (GE)
Tel: +41 22 717 27 34<tel:%2B41%2022%20717%2027%2034>
Fax: +41 22 747 47 34<tel:%2B41%2022%20747%2047%2034>
[email-masked]<mailto:[email-masked]>

_______________________________________________
Ietf mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ietf

-----------------------------------------
**************************************************
This email and any files transmitted with it 
are confidential and intended solely for the 
use of the individual or entity to whom they
are addressed. 
If you have received this email in error, 
please notify the system manager.
This footnote also confirms that this email 
message has been swept by the mailgateway
**************************************************

---

From: Fred Baker <[email-masked]>
Date: Mon, 12 Dec 2011 11:57:33 -0800

On Dec 9, 2011, at 8:40 AM, Evain, Jean-Pierre wrote:
> I couldn’t find any particular rule for mentioning credits (or not). I guess this might have had a relation to some rights related issues?
>  

On Dec 12, 2011, at 9:23 AM, Worley, Dale R (Dale) wrote:
> There are many meanings of "credit".  In regard to the matter of giving credit in Internet-Drafts to the originators of the ideas or writers of the text, it appears to me that the customs are the same as for academic papers:  The authors of all ideas and text must be explicitly acknowledged.

As an author/editor, I have always understood this to be a matter of good will. If John contributes a specific bit of text, it's good form to say "John Doe supplied the text for ..."; If a conversation with Jane was helpful in sorting out some of the issues, one might acknowledge conversations with Jane Smith. It's not uncommon, in my experience, to get an email from each of ten people and maybe exchange emails with one of them delving into a topic, and simply list them in the acknowledgements.

One example is 

https://tools.ietf.org/html/rfc6018
6018 IPv4 and IPv6 Greynets. F. Baker, W. Harrop, G. Armitage.
     September 2010. (Format: TXT=21541 bytes) (Status: INFORMATIONAL)

Warren wrote a paper, on Cisco funding, in 2005. In it, he made a suggestion for how one might analyze address scans. I got to thinking about that several years later; it would be trivial to write as a feature on a router that might be of value and more complete (if we would discard a datagram received for an address that is not instantiated, we might discard it in the general direction of a collector of some sort). Posted the I-D and got v6ops commentary, and then Tim Chown and a student tried it out and reported to me with a suggestion on data transport. 

Checking the acknowledgements, you'll see that I listed Warren and his professor as co-authors, although to be honest they at most made a few comments on the actual paper. Why? It is a variation on his original idea, and I'm giving him full credit for the idea. Tim and his student get mentioned as making a suggestion, because they did some work and it was a good suggestion. Others are listed as commenting, because they did. https://tools.ietf.org/html/rfc6018#section-5

Other examples include http://tools.ietf.org/html/draft-baker-bmwg-testing-eyeball-happiness-05#section-5, http://tools.ietf.org/html/draft-bonica-v6-multihome-02#section-6, and https://tools.ietf.org/html/rfc6296#section-8.

It can be helpful to the folks acknowledged. I found myself trying to discuss my own contributions to routing protocols recently, for example, and not having been the author of any documents specifically on routing didn't have anything to point to - until I recalled that I had been acknowledged in RFC 1583 and 2178 for contributions to it (the p2mp interface was my solution to an NBMA problem, among other things).

Yes, the customs are pretty similar to academic papers. The key word is "custom"; there is no "law" other than the laws around good will that require this. But it is customary and normal.